"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaType = void 0;
var SchemaType = /** @class */ (function () {
    function SchemaType(sourceObj) {
        this._original = sourceObj;
        if (sourceObj) {
            this._type = sourceObj.type;
            if (sourceObj.description) {
                this._description = sourceObj.description;
            }
        }
    }
    Object.defineProperty(SchemaType.prototype, "type", {
        get: function () {
            return this._type;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaType.prototype, "description", {
        get: function () {
            return this._description;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaType.prototype, "original", {
        get: function () {
            return this._original;
        },
        enumerable: false,
        configurable: true
    });
    return SchemaType;
}());
exports.SchemaType = SchemaType;
//# sourceMappingURL=SchemaType.js.map